aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorhinder <hinder@53307013-940b-43fa-b11d-2c2b05dfe90d>2011-06-28 15:34:31 +0000
committerhinder <hinder@53307013-940b-43fa-b11d-2c2b05dfe90d>2011-06-28 15:34:31 +0000
commit3c2acf94c9dd0030d2fc81a641986f8a0e919fd2 (patch)
treec8cc8ce695d9ab803dedd34c5a9204b8c4568186
parentc9a5912720b4529f9f919cb940a60bf9e386c3d5 (diff)
Abort on missing Fortran compiler
git-svn-id: http://svn.cactuscode.org/projects/ExternalLibraries/BLAS/trunk@17 53307013-940b-43fa-b11d-2c2b05dfe90d
-rw-r--r--BLAS.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/BLAS.sh b/BLAS.sh
index b65e66c..613828a 100644
--- a/BLAS.sh
+++ b/BLAS.sh
@@ -62,6 +62,13 @@ if [ -z "${BLAS_DIR}" -o "${BLAS_DIR}" = 'BUILD' ]; then
DONE_FILE=${SCRATCH_BUILD}/done/${THORN}
BLAS_DIR=${INSTALL_DIR}
+ if [ "${F77}" = "none" ]; then
+ echo 'BEGIN ERROR'
+ echo "Building BLAS requires a fortran compiler, but there is none configured: F77 = $F77. Aborting."
+ echo 'END ERROR'
+ exit 1
+ fi
+
(
exec >&2 # Redirect stdout to stderr
set -x # Output commands